Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.digi.config.ui
Class SerialView

    java.lang.Object
      com.digi.config.ui.ConfigViewImpl
          com.digi.config.ui.AggregateConfigView
              com.digi.config.ui.SerialView

All Implemented Interfaces:
  ConfigView

public class SerialView
extends AggregateConfigView

This class is a view panel that shows a Network KvpNode informational panel for the ConnectMe device This view can be embedded in other panels as desired.

Field Summary
`(package private) int` | `portCount` Indicates the number of ports available on the device
`(package private) int` | `portSelected` Indicates which port is selected. 0 means no port is selected
`(package private) java.awt.event.ActionListener` | `portSelectionListener` Listens to changes in the selected port
`(package private) javax.swing.JComboBox` | `portUIC` The GUI control showing ports available that user can select from

Fields inherited from class com.digi.config.ui.AggregateConfigView
`cancelKvpNodeAction, currentView, refreshAction, saveKvpNodeAction, tabbedPane, viewHelpAction, viewList, viewTitle`

Fields inherited from class com.digi.config.ui.ConfigViewImpl
`active, cancelChangesAction, device, editView, heading, includeSettingsFields, includeStateFields, saveChangesAction, viewIndex`

Constructor Summary
`SerialView()` Basic constructor.

Method Summary
`java.lang.String` | `getName()` Returns a one word name identifying this view.
`java.awt.Component` | `getViewHeading()` Returns the Component that displays the heading of the view.
`void` | `setDevice(com.digi.config.core.Device newDevice)` Informs view what device to work with.

Methods inherited from class com.digi.config.ui.AggregateConfigView
`activate, addView, cancelChanges, commitChanges, deactivate, getChanges, getHelpResource, getViewContent, hideAllViews, hideView, isChanged, setViewIndex, showAllViews, showView, validateChanges`

Methods inherited from class com.digi.config.ui.ConfigViewImpl
`createEmailDocument, createGeneralDocument, createIntegerDocument, createNetworkAddressDocument, doCancelChangesAction, doRefreshAction, doSaveChangesAction, doViewHelpAction, getViewButtons, initializeActions, setIncludeSettingsFields, setIncludeStateFields`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portCount

    int portCount

  Indicates the number of ports available on the device

### portSelected

    int portSelected

  Indicates which port is selected. 0 means no port is selected

### portUIC

    javax.swing.JComboBox portUIC

  The GUI control showing ports available that user can select from

### portSelectionListener

    java.awt.event.ActionListener portSelectionListener

  Listens to changes in the selected port

Constructor Detail

### SerialView

    public SerialView()
               throws java.lang.Exception

  Basic constructor. Sets up the tree view and the edit panel.

Method Detail

### setDevice

    public void setDevice(com.digi.config.core.Device newDevice)

  Informs view what device to work with. Subclass Views should flush any cached device data and mark current view content as invalid so that it is refreshed appropriatly.

  Specified by:
    `setDevice` in interface `ConfigView`
  Overrides:
    `setDevice` in class `AggregateConfigView`

### getName

    public java.lang.String getName()

  Returns a one word name identifying this view.

  Specified by:
    `getName` in interface `ConfigView`
  Overrides:
    `getName` in class `AggregateConfigView`

### getViewHeading

    public java.awt.Component getViewHeading()

  Returns the Component that displays the heading of the view. If this view has no heading to display this method returns null.

  Specified by:
    `getViewHeading` in interface `ConfigView`
  Overrides:
    `getViewHeading` in class `ConfigViewImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2002 Digi International. All Rights Reserved.